Bug 268926 - Remote File System should support DeleteOnExit
Remote File System should support DeleteOnExit
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks: 268909
  Show dependency treegraph
 
Reported: 2016-11-10 10:19 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:14 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
A fix that does not involve fs_server - kindof backup one. (8.59 KB, patch)
2016-11-18 07:29 UTC, Vladimir Kvashin
Details | Diff
Proposed fix (to be integrated after Studio Beta) (26.66 KB, patch)
2016-11-19 06:47 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-10 10:19:03 UTC
Remote File System should support DeleteOnExit.
Now it does not,
Comment 1 Vladimir Kvashin 2016-11-10 10:20:12 UTC
One of the serious negative consequences is issue 268909 - Tons of vcs-* and exec* files in /var/tmp.
Comment 2 Vladimir Kvashin 2016-11-16 10:32:31 UTC
Not fixed yet; some infrastructure changes and test are pushed into enum/r82
d23880838fa6
656de7e063e1
c8a14a9f0edb
13ee6f16f094
Comment 3 Vladimir Kvashin 2016-11-18 07:29:05 UTC
Created attachment 162948 [details]
A fix that does not involve fs_server - kindof backup one.

The fix works, however I'm not completely satisfied with it, so I'm just attaching it instead of pushing. Most likely I'll rework it shortly.
Comment 4 Vladimir Kvashin 2016-11-19 06:47:33 UTC
Created attachment 162960 [details]
Proposed fix (to be integrated after Studio Beta)
Comment 5 Quality Engineering 2016-11-23 03:18:45 UTC
Integrated into 'main-silver', will be available in build *201611230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/90f6046a0710
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: formatting (fixing #268926 - Remote File System should support DeleteOnExit)
(transplanted from d23880838fa6a0ac3c6f63d10c8f88c7066c5b24)
Comment 6 Vladimir Kvashin 2016-12-02 11:38:20 UTC
The fixing process was long and painful... finally it is fixed.

Change sets on enum/release82:
#hg log -k 268926 --template '{node|short} {desc|strip|firstline}\n' -b release82
91bbf5ab217a Fixed tests (#268926 - Remote File System should support DeleteOnExit)
643fea0f25d3 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - updated binaries
140d07725519 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - test itself
9a8c8bc99bcc Fixing tests (#268926 - Remote File System should support DeleteOnExit) - RemoteFileSystem should shut down RemoteFileSystemTransport upon dispose
eba55545e5e4 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - don't truncate error log - fs_server source changes
298c8fc09aa9 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - minor refactoring in fs_server: allow to pass flags to fopen600
5c0f15227262 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - test itself
dee637ccf55c Fixing tests (#268926 - Remote File System should support DeleteOnExit) - changes in fs_server, binaries
888826511b91 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - changes in fs_server, sources
26adba8e68fd i18n (#268926 - Remote File System should support DeleteOnExit)
9bf393fbd37b Fixing tests (#268926 - Remote File System should support DeleteOnExit)
99e8ed3bde51 Minor changes in fs_server trace - binaries (fixing #268926 - Remote File System should support DeleteOnExit)
d6afee99277f Minor changes in fs_server trace - source (fixing #268926 - Remote File System should support DeleteOnExit)
b1193ec6c231 Fixing tests (#268926 - Remote File System should support DeleteOnExit)
39307552da8f Fixing tests (#268926 - Remote File System should support DeleteOnExit)
014b96a6cfd3 Fixing tests (#268926 - Remote File System should support DeleteOnExit): client (Java) code
ed8b646d7c41 Fixing tests (#268926 - Remote File System should support DeleteOnExit): native project metadata
b9d8df0a9f98 Fixing tests (#268926 - Remote File System should support DeleteOnExit): native binaries
fe1b17c8c28c Fixing tests (#268926 - Remote File System should support DeleteOnExit): native source
1d30303c1128 Fixing tests (#268926 - Remote File System should support DeleteOnExit)
37865839ec5c i18n (fixing #268926 - Remote File System should support DeleteOnExit)
0e9f199dbbaa fixing #268926 (Remote File System should support DeleteOnExit) - tests
c5544df1ad57 fixing #268926 (Remote File System should support DeleteOnExit) - Java (client) code
a9c2a40d4acc fixing #268926 (Remote File System should support DeleteOnExit) - fs_server binaries
caaae33b299a fixing #268926 (Remote File System should support DeleteOnExit) - project metadata
85eedc93576d fixing #268926 (Remote File System should support DeleteOnExit) - fixed FMR (reading from freed memory)
02f3b7c9e898 fixing #268926 - Remote File System should support DeleteOnExit - fs_server source changes
13ee6f16f094 Added a test (now failing) for #268926 (Remote File System should support DeleteOnExit)
c8a14a9f0edb Fixing #268926 (Remote File System should support DeleteOnExit): added API/SPI chain from VCSFileProxySupport to RemoteFileSystem (no changes in implementation yet)
656de7e063e1 Fixing #268926 - Remote File System should support DeleteOnExit: allow setting local fs_server path via cmd line option
d23880838fa6 formatting (fixing #268926 - Remote File System should support DeleteOnExit)



Change sets in cnd-main/default:
#hg log -k 268926 --template '{node|short} {desc|strip|firstline}\n' -b default
75f53330d628 Fixed tests (#268926 - Remote File System should support DeleteOnExit)
4ce2a3966000 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - updated binaries
c86139b9f247 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - test itself
a9aec3aac79d Fixing tests (#268926 - Remote File System should support DeleteOnExit) - RemoteFileSystem should shut down RemoteFileSystemTransport upon dispose
38c06e6b804a Fixing tests (#268926 - Remote File System should support DeleteOnExit) - don't truncate error log - fs_server source changes
e10af6205ee4 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - minor refactoring in fs_server: allow to pass flags to fopen600
f1b49a46b545 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - test itself
6714649a69fc Fixing tests (#268926 - Remote File System should support DeleteOnExit) - changes in fs_server, binaries
e68ac2afcdf1 Fixing tests (#268926 - Remote File System should support DeleteOnExit) - changes in fs_server, sources
c761d9fae22e i18n (#268926 - Remote File System should support DeleteOnExit)
4f5c0e81dc1f Fixing tests (#268926 - Remote File System should support DeleteOnExit)
ebc58889675f Minor changes in fs_server trace - binaries (fixing #268926 - Remote File System should support DeleteOnExit)
fb4be5a8150f Minor changes in fs_server trace - source (fixing #268926 - Remote File System should support DeleteOnExit)
11be311e3024 Fixing tests (#268926 - Remote File System should support DeleteOnExit)
e4f236c5a751 Fixing tests (#268926 - Remote File System should support DeleteOnExit)
e9df425c6bbb Fixing tests (#268926 - Remote File System should support DeleteOnExit): client (Java) code
55996bb1a73d Fixing tests (#268926 - Remote File System should support DeleteOnExit): native project metadata
d6baa1078588 Fixing tests (#268926 - Remote File System should support DeleteOnExit): native binaries
b6ad57c756bc Fixing tests (#268926 - Remote File System should support DeleteOnExit): native source
38a9211826a9 Fixing tests (#268926 - Remote File System should support DeleteOnExit)
9be682869b85 i18n (fixing #268926 - Remote File System should support DeleteOnExit)
c6da1d21de03 fixing #268926 (Remote File System should support DeleteOnExit) - tests
bd799f9a5f53 fixing #268926 (Remote File System should support DeleteOnExit) - Java (client) code
1ae7bf062f23 fixing #268926 (Remote File System should support DeleteOnExit) - fs_server binaries
2946fcafa861 fixing #268926 (Remote File System should support DeleteOnExit) - project metadata
843a89f0cbd6 fixing #268926 (Remote File System should support DeleteOnExit) - fixed FMR (reading from freed memory)
f8afd3bc4672 fixing #268926 - Remote File System should support DeleteOnExit - fs_server source changes
b01633b7f7cf Added a test (now failing) for #268926 (Remote File System should support DeleteOnExit)
afe7a121ab54 Fixing #268926 (Remote File System should support DeleteOnExit): added API/SPI chain from VCSFileProxySupport to RemoteFileSystem (no changes in implementation yet)
e110e0cdf8c7 Fixing #268926 - Remote File System should support DeleteOnExit: allow setting local fs_server path via cmd line option
90f6046a0710 formatting (fixing #268926 - Remote File System should support DeleteOnExit)
Comment 7 Quality Engineering 2016-12-03 03:02:59 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f8afd3bc4672
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixing #268926 - Remote File System should support DeleteOnExit - fs_server source changes
(transplanted from 02f3b7c9e8988f325e8ce35affe45718bd06fb70)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo